Name: pcre
Version: 5.0
Release: 5tr
Summary: Perl-compatible regular expression library
URL: http://www.pcre.org/
Source: ftp://ftp.csx.cam.ac.uk/pub/software/programming/%{name}/%{name}-%{version}.tar.bz2
Patch0: pcre-5.0-CAN-2005-2491.patch
License: GPL
Group: Trustix Official
BuildRoot: %{_tmppath}/%{name}-root

%description
Perl-compatible regular expression library.
PCRE has its own native API, but a set of "wrapper" functions that are based on
the POSIX API are also supplied in the library libpcreposix. Note that this
just provides a POSIX calling interface to PCRE: the regular expressions
themselves still follow Perl syntax and semantics. The header file
for the POSIX-style functions is called pcreposix.h.

%package devel
Summary: Development files for %{name}
Group: Trustix Official
Requires: %{name} = %{version}-%{release}

%description devel
Development files (Headers, libraries for static linking, etc) for %{name}.

%prep
%setup -q
%patch0 -p1 -b .CAN-2005-2491

%build

%configure --includedir=%{_includedir}/%{name}
# quick hack to make it compile
#make LTCONFIG_VERSION=1.3.5
make


%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"
make install DESTDIR=$RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,0755)
%{_libdir}/*.so.*
%{_mandir}/man1/*
%{_bindir}/pcregrep
%{_bindir}/pcretest

%files devel
%defattr(-,root,root,0755)
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a
%{_includedir}/%{name}
%{_mandir}/man3/*
%{_bindir}/pcre-config
%{_libdir}/pkgconfig/libpcre.pc

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Nov 14 2005 Nived Gopalan <nived at comodo dot com> 5.0-5tr
- Moved libpcre.pc to devel.

* Fri Aug 26 2005 Ajith Thampi <ajith at comodo dot com> 5.0-4tr
- Fix Integer overflow in pcre_compile.c which allows attackers to 
  execute arbitrary code via quantifier values in regular expressions,
  which leads to a heap-based buffer overflow.	

  The Common Vulnerabilities and Exposures project has assigned the
  name CAN-2005-2491 to this issue.

* Thu Mar 17 2005 Hasher Jamaludeen <hasher at comodo dot com> 5.0-2tr
- Rebuilt, added unpackaged file.

* Mon Sep 27 2004 Nageswara Sastry <nageswara at comodo dot com> 5.0-1tr
- Upgraded to version 5.0-1tr from 4.5-1tr

* Thu Sep  9 2004 Erlend Midttun <erlendbm at trustix dot com> 4.5-1tr
- New upstream.

* Wed Nov 26 2003 Erlend Midttun <erlendbm at trustix dot com> 4.4-1tr
- New upstream

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 4.3-2tr
- Big rebuild

* Thu May 29 2003 Erlend Midttun <erlendbm at trustix dot com> 4.3-1em
- New upstream

* Thu May 15 2003 Tore Olsen <toreo at trustix dot com> 3.9-5to
- moved libs back to /usr/lib, our grep does not use pcre (ref change below)
- added pcretest
- fixed Group (again!)

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 3.9-4em
- Rebuilt against glibc 2.3.2.

* Sat Feb 01 2003 Tor Hveem <torh at trustix dot org> 3.9-3th
- fixed package Group

* Mon Dec  9 2002 Erlend Midttun <erlendbm at trustix dot com> 3.9-2em
- Fixed package group.

* Sun Jun 09 2002 Goetz Bock <bock at trustix dot org> 3.9-1bg
- rebuilded for Trustix

* Fri Jan 11 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.9-1
- Update to 3.9

* Wed Nov 14 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.7-1
- Update to 3.7

* Thu May 17 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.4-2
- Move libpcre to /lib, grep uses it these days (#41104)

* Wed Apr 18 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Move this to a separate package, used to be in kdesupport, but it's
  generally useful...
